AnsweredAssumed Answered

HCI 1.3.1.54 Install, cannot connect to deployment wizard

Question asked by Thomas Massano Employee on Oct 11, 2018
Latest reply on Oct 11, 2018 by Thomas Massano

I have installed HCI several times with no issue, I have even created a cheat sheet.

But I must be missing something basic here, the install goes as planned, but i can never connect to the deployment wizard. I keep getting ERR_CONNECTION_REFUSED.

 

I have tried to install this several times, and with the same result. I must be missing something basic here.

I have done the install from a terminal (not console), so I know I have IP connectivity.

 

My Cheet sheet:

 

8 cores

32 GB Mem

1TB storage

1 Interface

 

Installed CentOS 7.4 from DVD, with no additional packages.

Put static IPv4 and enabled NTP.

 

yum install -y yum-utils device-mapper-persistent-data lvm2

yum-config-manager --add-repo https://download.docker.com/linux/centos/docker-ce.repo

yum install -y docker-ce

 

docker --version -> Docker version 18.06.1-ce

 

systemctl status firewalld

 

systemctl stop firewalld

systemctl mask firewalld

 

systemctl disable firewalld

systemctl status firewalld


sysctl -w vm.max_map_count=262144

 

vi /etc/sysctl.conf

 

add 'vm.max_map_count=262144' to /etc/sysctl.conf

 

systemctl status docker

 

systemctl start docker

systemctl enable docker

systemctl status docker -l

 

mkdir /opt/hci

cd /opt/hci

upload HCI-1.3.1.54.tgz

 

tar -zxvf HCI-1.3.1.54.tgz

./1.3.1.54/bin/install

 

node 1 bin/setup -i 192.168.35.235 -m 192.168.35.236,192.168.35.237,192.168.35.238

node 2 bin/setup -i 192.168.35.236 -m 192.168.35.235,192.168.35.237,192.168.35.238

node 3 bin/setup -i 192.168.35.237 -m 192.168.35.235,192.168.35.236,192.168.35.238

node 4 bin/setup -i 192.168.35.238 -m 192.168.35.235,192.168.35.236,192.168.35.237

 

TERMINAL OUTPUT WITH MESSAGES:

I bolded my commands so they were easier to find

~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[root@hci-node1 ~]# cat /etc/*elease

CentOS Linux release 7.4.1708 (Core)

NAME="CentOS Linux"

VERSION="7 (Core)"

ID="centos"

ID_LIKE="rhel fedora"

VERSION_ID="7"

PRETTY_NAME="CentOS Linux 7 (Core)"

ANSI_COLOR="0;31"

CPE_NAME="cpe:/o:centos:centos:7"

HOME_URL="https://www.centos.org/"

BUG_REPORT_URL="https://bugs.centos.org/"

 

CENTOS_MANTISBT_PROJECT="CentOS-7"

CENTOS_MANTISBT_PROJECT_VERSION="7"

REDHAT_SUPPORT_PRODUCT="centos"

REDHAT_SUPPORT_PRODUCT_VERSION="7"

 

CentOS Linux release 7.4.1708 (Core)

CentOS Linux release 7.4.1708 (Core)

 

[root@hci-node1 ~]# yum install -y yum-utils device-mapper-persistent-data lvm2

Loaded plugins: fastestmirror

Loading mirror speeds from cached hostfile

* base: mirror.jaleco.com

* extras: repos.lax.quadranet.com

* updates: mirror.den1.denvercolo.net

Resolving Dependencies

--> Running transaction check

---> Package device-mapper-persistent-data.x86_64 0:0.7.0-0.1.rc6.el7 will be updated

---> Package device-mapper-persistent-data.x86_64 0:0.7.3-3.el7 will be an update

---> Package lvm2.x86_64 7:2.02.171-8.el7 will be updated

---> Package lvm2.x86_64 7:2.02.177-4.el7 will be an update

--> Processing Dependency: lvm2-libs = 7:2.02.177-4.el7 for package: 7:lvm2-2.02.177-4.el7.x86_64

--> Processing Dependency: libdevmapper.so.1.02(DM_1_02_141)(64bit) for package: 7:lvm2-2.02.177-4.el7.x86_64

---> Package yum-utils.noarch 0:1.1.31-46.el7_5 will be installed

--> Processing Dependency: python-kitchen for package: yum-utils-1.1.31-46.el7_5.noarch

--> Processing Dependency: libxml2-python for package: yum-utils-1.1.31-46.el7_5.noarch

--> Running transaction check

---> Package device-mapper-libs.x86_64 7:1.02.140-8.el7 will be updated

--> Processing Dependency: device-mapper-libs = 7:1.02.140-8.el7 for package: 7:device-mapper-1.02.140-8.el7.x86_64

---> Package device-mapper-libs.x86_64 7:1.02.146-4.el7 will be an update

---> Package libxml2-python.x86_64 0:2.9.1-6.el7_2.3 will be installed

---> Package lvm2-libs.x86_64 7:2.02.171-8.el7 will be updated

---> Package lvm2-libs.x86_64 7:2.02.177-4.el7 will be an update

--> Processing Dependency: device-mapper-event = 7:1.02.146-4.el7 for package: 7:lvm2-libs-2.02.177-4.el7.x86_64

---> Package python-kitchen.noarch 0:1.1.1-5.el7 will be installed

--> Processing Dependency: python-chardet for package: python-kitchen-1.1.1-5.el7.noarch

--> Running transaction check

---> Package device-mapper.x86_64 7:1.02.140-8.el7 will be updated

---> Package device-mapper.x86_64 7:1.02.146-4.el7 will be an update

---> Package device-mapper-event.x86_64 7:1.02.140-8.el7 will be updated

---> Package device-mapper-event.x86_64 7:1.02.146-4.el7 will be an update

--> Processing Dependency: device-mapper-event-libs = 7:1.02.146-4.el7 for package: 7:device-mapper-event-1.02.146-4.el7.x86_64

---> Package python-chardet.noarch 0:2.2.1-1.el7_1 will be installed

--> Running transaction check

---> Package device-mapper-event-libs.x86_64 7:1.02.140-8.el7 will be updated

---> Package device-mapper-event-libs.x86_64 7:1.02.146-4.el7 will be an update

--> Finished Dependency Resolution

Dependencies Resolved

=====================================================================================================================================================================

Package                                               Arch                           Version                                  Repository                       Size

=====================================================================================================================================================================

Installing:

yum-utils                                             noarch                         1.1.31-46.el7_5                          updates                         120 k

Updating:

device-mapper-persistent-data                         x86_64                         0.7.3-3.el7                              base                            405 k

lvm2                                                  x86_64                         7:2.02.177-4.el7                         base                            1.3 M

Installing for dependencies:

libxml2-python                                        x86_64                         2.9.1-6.el7_2.3                          base                            247 k

python-chardet                                        noarch                         2.2.1-1.el7_1                            base                            227 k

python-kitchen                                        noarch                         1.1.1-5.el7                              base                            267 k

Updating for dependencies:

device-mapper                                         x86_64                         7:1.02.146-4.el7                         base                            289 k

device-mapper-event                                   x86_64                         7:1.02.146-4.el7                         base                            185 k

device-mapper-event-libs                              x86_64                         7:1.02.146-4.el7                         base                            184 k

device-mapper-libs                                    x86_64                         7:1.02.146-4.el7                         base                            316 k

lvm2-libs                                             x86_64                         7:2.02.177-4.el7                         base                            1.0 M

Transaction Summary

=====================================================================================================================================================================

Install  1 Package  (+3 Dependent packages)

Upgrade  2 Packages (+5 Dependent packages)

Total download size: 4.5 M

Downloading packages:

Delta RPMs disabled because /usr/bin/applydeltarpm not installed.

warning: /var/cache/yum/x86_64/7/base/packages/device-mapper-1.02.146-4.el7.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID f4a80eb5: NOKEY

Public key for device-mapper-1.02.146-4.el7.x86_64.rpm is not installed

(1/11): device-mapper-1.02.146-4.el7.x86_64.rpm                                                                                               | 289 kB  00:00:00

(2/11): device-mapper-event-1.02.146-4.el7.x86_64.rpm                                                                                         | 185 kB  00:00:00

(3/11): device-mapper-event-libs-1.02.146-4.el7.x86_64.rpm                                                                                    | 184 kB  00:00:00

(4/11): libxml2-python-2.9.1-6.el7_2.3.x86_64.rpm                                                                                             | 247 kB  00:00:00

(5/11): python-chardet-2.2.1-1.el7_1.noarch.rpm                                                                                               | 227 kB  00:00:00

(6/11): python-kitchen-1.1.1-5.el7.noarch.rpm                                                                                                 | 267 kB  00:00:00

(7/11): device-mapper-persistent-data-0.7.3-3.el7.x86_64.rpm                                                                                  | 405 kB  00:00:00

(8/11): device-mapper-libs-1.02.146-4.el7.x86_64.rpm                                                                                          | 316 kB  00:00:00

(9/11): lvm2-2.02.177-4.el7.x86_64.rpm                                                                                                        | 1.3 MB  00:00:00

(10/11): lvm2-libs-2.02.177-4.el7.x86_64.rpm                                                                                                  | 1.0 MB  00:00:00

Public key for yum-utils-1.1.31-46.el7_5.noarch.rpm is not installed

(11/11): yum-utils-1.1.31-46.el7_5.noarch.rpm                                                                                                 | 120 kB  00:00:00

---------------------------------------------------------------------------------------------------------------------------------------------------------------------

Total                                                                                                                                5.4 MB/s | 4.5 MB  00:00:00

Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-7

Importing GPG key 0xF4A80EB5:

Userid     : "CentOS-7 Key (CentOS 7 Official Signing Key) <security@centos.org>"

Fingerprint: 6341 ab27 53d7 8a78 a7c2 7bb1 24c6 a8a7 f4a8 0eb5

Package    : centos-release-7-4.1708.el7.centos.x86_64 (@anaconda)

From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-7

Running transaction check

Running transaction test

Transaction test succeeded

Running transaction

  Updating   : 7:device-mapper-libs-1.02.146-4.el7.x86_64                                                                                                       1/18

  Updating   : 7:device-mapper-1.02.146-4.el7.x86_64                                                                                                            2/18

  Updating   : 7:device-mapper-event-libs-1.02.146-4.el7.x86_64                                                                                                 3/18

  Updating   : 7:device-mapper-event-1.02.146-4.el7.x86_64                                                                                                      4/18

  Updating   : 7:lvm2-libs-2.02.177-4.el7.x86_64                                                                                                                5/18

  Installing : python-chardet-2.2.1-1.el7_1.noarch                                                                                                              6/18

  Installing : python-kitchen-1.1.1-5.el7.noarch                                                                                                                7/18

  Installing : libxml2-python-2.9.1-6.el7_2.3.x86_64                                                                                                            8/18

  Updating   : device-mapper-persistent-data-0.7.3-3.el7.x86_64                                                                                                 9/18

  Updating   : 7:lvm2-2.02.177-4.el7.x86_64                                                                                                                    10/18

  Installing : yum-utils-1.1.31-46.el7_5.noarch                                                                                                                11/18

  Cleanup    : 7:lvm2-2.02.171-8.el7.x86_64                                                                                                                    12/18

  Cleanup    : 7:lvm2-libs-2.02.171-8.el7.x86_64                                                                                                               13/18

  Cleanup    : 7:device-mapper-event-1.02.140-8.el7.x86_64                                                                                                     14/18

  Cleanup    : 7:device-mapper-event-libs-1.02.140-8.el7.x86_64                                                                                                15/18

  Cleanup    : 7:device-mapper-1.02.140-8.el7.x86_64                                                                                                           16/18

  Cleanup    : 7:device-mapper-libs-1.02.140-8.el7.x86_64                                                                                                      17/18

  Cleanup    : device-mapper-persistent-data-0.7.0-0.1.rc6.el7.x86_64                                                                                          18/18

  Verifying  : device-mapper-persistent-data-0.7.3-3.el7.x86_64                                                                                                 1/18

  Verifying  : yum-utils-1.1.31-46.el7_5.noarch                                                                                                                 2/18

  Verifying  : 7:device-mapper-event-libs-1.02.146-4.el7.x86_64                                                                                                 3/18

  Verifying  : 7:device-mapper-1.02.146-4.el7.x86_64                                                                                                            4/18

  Verifying  : 7:device-mapper-event-1.02.146-4.el7.x86_64                                                                                                      5/18

  Verifying  : libxml2-python-2.9.1-6.el7_2.3.x86_64                                                                                                            6/18

  Verifying  : python-kitchen-1.1.1-5.el7.noarch                                                                                                                7/18

  Verifying  : python-chardet-2.2.1-1.el7_1.noarch                                                                                                              8/18

  Verifying  : 7:lvm2-libs-2.02.177-4.el7.x86_64                                                                                                                9/18

  Verifying  : 7:lvm2-2.02.177-4.el7.x86_64                                                                                                                    10/18

  Verifying  : 7:device-mapper-libs-1.02.146-4.el7.x86_64                                                                                                      11/18

  Verifying  : 7:device-mapper-event-1.02.140-8.el7.x86_64                                                                                                     12/18

  Verifying  : 7:lvm2-libs-2.02.171-8.el7.x86_64                                                                                                               13/18

  Verifying  : 7:device-mapper-1.02.140-8.el7.x86_64                                                                                                           14/18

  Verifying  : 7:device-mapper-event-libs-1.02.140-8.el7.x86_64                                                                                                15/18

  Verifying  : 7:device-mapper-libs-1.02.140-8.el7.x86_64                                                                                                      16/18

  Verifying  : 7:lvm2-2.02.171-8.el7.x86_64                                                                                                                    17/18

  Verifying  : device-mapper-persistent-data-0.7.0-0.1.rc6.el7.x86_64                                                                                          18/18

Installed:

  yum-utils.noarch 0:1.1.31-46.el7_5

Dependency Installed:

  libxml2-python.x86_64 0:2.9.1-6.el7_2.3                 python-chardet.noarch 0:2.2.1-1.el7_1                 python-kitchen.noarch 0:1.1.1-5.el7

Updated:

  device-mapper-persistent-data.x86_64 0:0.7.3-3.el7                                           lvm2.x86_64 7:2.02.177-4.el7

Dependency Updated:

  device-mapper.x86_64 7:1.02.146-4.el7               device-mapper-event.x86_64 7:1.02.146-4.el7          device-mapper-event-libs.x86_64 7:1.02.146-4.el7

  device-mapper-libs.x86_64 7:1.02.146-4.el7          lvm2-libs.x86_64 7:2.02.177-4.el7

Complete!

 

[root@hci-node1 ~]# yum-config-manager --add-repo https://download.docker.com/linux/centos/docker-ce.repo

Loaded plugins: fastestmirror

adding repo from: https://download.docker.com/linux/centos/docker-ce.repo

grabbing file https://download.docker.com/linux/centos/docker-ce.repo to /etc/yum.repos.d/docker-ce.repo

repo saved to /etc/yum.repos.d/docker-ce.repo

[root@hci-node1 ~]# yum -y install docker-ce-17.03.1.ce-1.el7.centos

Loaded plugins: fastestmirror

docker-ce-stable                                                                                                                              | 2.9 kB  00:00:00

docker-ce-stable/x86_64/primary_db                                                                                                            |  17 kB  00:00:00

Loading mirror speeds from cached hostfile

* base: mirror.jaleco.com

* extras: repos.lax.quadranet.com

* updates: mirror.den1.denvercolo.net

Resolving Dependencies

--> Running transaction check

---> Package docker-ce.x86_64 0:17.03.1.ce-1.el7.centos will be installed

--> Processing Dependency: docker-ce-selinux >= 17.03.1.ce-1.el7.centos for package: docker-ce-17.03.1.ce-1.el7.centos.x86_64

Package docker-ce-selinux is obsoleted by docker-ce, but obsoleting package does not provide for requirements

--> Processing Dependency: libcgroup for package: docker-ce-17.03.1.ce-1.el7.centos.x86_64

--> Running transaction check

---> Package docker-ce.x86_64 0:17.03.1.ce-1.el7.centos will be installed

--> Processing Dependency: docker-ce-selinux >= 17.03.1.ce-1.el7.centos for package: docker-ce-17.03.1.ce-1.el7.centos.x86_64

Package docker-ce-selinux is obsoleted by docker-ce, but obsoleting package does not provide for requirements

---> Package libcgroup.x86_64 0:0.41-15.el7 will be installed

--> Finished Dependency Resolution

Error: Package: docker-ce-17.03.1.ce-1.el7.centos.x86_64 (docker-ce-stable)

           Requires: docker-ce-selinux >= 17.03.1.ce-1.el7.centos

           Available: docker-ce-selinux-17.03.0.ce-1.el7.centos.noarch (docker-ce-stable)

               docker-ce-selinux = 17.03.0.ce-1.el7.centos

           Available: docker-ce-selinux-17.03.1.ce-1.el7.centos.noarch (docker-ce-stable)

               docker-ce-selinux = 17.03.1.ce-1.el7.centos

           Available: docker-ce-selinux-17.03.2.ce-1.el7.centos.noarch (docker-ce-stable)

               docker-ce-selinux = 17.03.2.ce-1.el7.centos

           Available: docker-ce-selinux-17.03.3.ce-1.el7.noarch (docker-ce-stable)

               docker-ce-selinux = 17.03.3.ce-1.el7

You could try using --skip-broken to work around the problem

You could try running: rpm -Va --nofiles --nodigest

[root@hci-node1 ~]# yum -y install docker-ce-selinux-17.03.0.ce-1.el7.centos.noarch

Loaded plugins: fastestmirror

Loading mirror speeds from cached hostfile

* base: mirror.jaleco.com

* extras: repos.lax.quadranet.com

* updates: mirror.den1.denvercolo.net

Package docker-ce-selinux is obsoleted by docker-ce, trying to install docker-ce-18.06.1.ce-3.el7.x86_64 instead

Resolving Dependencies

--> Running transaction check

---> Package docker-ce.x86_64 0:18.06.1.ce-3.el7 will be installed

--> Processing Dependency: container-selinux >= 2.9 for package: docker-ce-18.06.1.ce-3.el7.x86_64

--> Processing Dependency: libcgroup for package: docker-ce-18.06.1.ce-3.el7.x86_64

--> Running transaction check

---> Package container-selinux.noarch 2:2.68-1.el7 will be installed

--> Processing Dependency: selinux-policy-targeted >= 3.13.1-192 for package: 2:container-selinux-2.68-1.el7.noarch

--> Processing Dependency: selinux-policy-base >= 3.13.1-192 for package: 2:container-selinux-2.68-1.el7.noarch

--> Processing Dependency: selinux-policy >= 3.13.1-192 for package: 2:container-selinux-2.68-1.el7.noarch

--> Processing Dependency: policycoreutils-python for package: 2:container-selinux-2.68-1.el7.noarch

---> Package libcgroup.x86_64 0:0.41-15.el7 will be installed

--> Running transaction check

---> Package policycoreutils-python.x86_64 0:2.5-22.el7 will be installed

--> Processing Dependency: policycoreutils = 2.5-22.el7 for package: policycoreutils-python-2.5-22.el7.x86_64

--> Processing Dependency: setools-libs >= 3.3.8-2 for package: policycoreutils-python-2.5-22.el7.x86_64

--> Processing Dependency: libsemanage-python >= 2.5-9 for package: policycoreutils-python-2.5-22.el7.x86_64

--> Processing Dependency: audit-libs-python >= 2.1.3-4 for package: policycoreutils-python-2.5-22.el7.x86_64

--> Processing Dependency: python-IPy for package: policycoreutils-python-2.5-22.el7.x86_64

--> Processing Dependency: libqpol.so.1(VERS_1.4)(64bit) for package: policycoreutils-python-2.5-22.el7.x86_64

--> Processing Dependency: libqpol.so.1(VERS_1.2)(64bit) for package: policycoreutils-python-2.5-22.el7.x86_64

--> Processing Dependency: libapol.so.4(VERS_4.0)(64bit) for package: policycoreutils-python-2.5-22.el7.x86_64

--> Processing Dependency: checkpolicy for package: policycoreutils-python-2.5-22.el7.x86_64

--> Processing Dependency: libqpol.so.1()(64bit) for package: policycoreutils-python-2.5-22.el7.x86_64

--> Processing Dependency: libapol.so.4()(64bit) for package: policycoreutils-python-2.5-22.el7.x86_64

---> Package selinux-policy.noarch 0:3.13.1-166.el7 will be updated

---> Package selinux-policy.noarch 0:3.13.1-192.el7_5.6 will be an update

---> Package selinux-policy-targeted.noarch 0:3.13.1-166.el7 will be updated

---> Package selinux-policy-targeted.noarch 0:3.13.1-192.el7_5.6 will be an update

--> Running transaction check

---> Package audit-libs-python.x86_64 0:2.8.1-3.el7_5.1 will be installed

--> Processing Dependency: audit-libs(x86-64) = 2.8.1-3.el7_5.1 for package: audit-libs-python-2.8.1-3.el7_5.1.x86_64

---> Package checkpolicy.x86_64 0:2.5-6.el7 will be installed

---> Package libsemanage-python.x86_64 0:2.5-11.el7 will be installed

--> Processing Dependency: libsemanage = 2.5-11.el7 for package: libsemanage-python-2.5-11.el7.x86_64

---> Package policycoreutils.x86_64 0:2.5-17.1.el7 will be updated

---> Package policycoreutils.x86_64 0:2.5-22.el7 will be an update

--> Processing Dependency: libsepol >= 2.5-8 for package: policycoreutils-2.5-22.el7.x86_64

--> Processing Dependency: libselinux-utils >= 2.5-12 for package: policycoreutils-2.5-22.el7.x86_64

---> Package python-IPy.noarch 0:0.75-6.el7 will be installed

---> Package setools-libs.x86_64 0:3.3.8-2.el7 will be installed

--> Processing Dependency: libselinux >= 2.5-12 for package: setools-libs-3.3.8-2.el7.x86_64

--> Running transaction check

---> Package audit-libs.x86_64 0:2.7.6-3.el7 will be updated

--> Processing Dependency: audit-libs(x86-64) = 2.7.6-3.el7 for package: audit-2.7.6-3.el7.x86_64

---> Package audit-libs.x86_64 0:2.8.1-3.el7_5.1 will be an update

---> Package libselinux.x86_64 0:2.5-11.el7 will be updated

--> Processing Dependency: libselinux(x86-64) = 2.5-11.el7 for package: libselinux-python-2.5-11.el7.x86_64

---> Package libselinux.x86_64 0:2.5-12.el7 will be an update

---> Package libselinux-utils.x86_64 0:2.5-11.el7 will be updated

---> Package libselinux-utils.x86_64 0:2.5-12.el7 will be an update

---> Package libsemanage.x86_64 0:2.5-8.el7 will be updated

---> Package libsemanage.x86_64 0:2.5-11.el7 will be an update

---> Package libsepol.x86_64 0:2.5-6.el7 will be updated

---> Package libsepol.x86_64 0:2.5-8.1.el7 will be an update

--> Running transaction check

---> Package audit.x86_64 0:2.7.6-3.el7 will be updated

---> Package audit.x86_64 0:2.8.1-3.el7_5.1 will be an update

---> Package libselinux-python.x86_64 0:2.5-11.el7 will be updated

---> Package libselinux-python.x86_64 0:2.5-12.el7 will be an update

--> Finished Dependency Resolution

Dependencies Resolved

=====================================================================================================================================================================

Package                                       Arch                         Version                                     Repository                              Size

=====================================================================================================================================================================

Installing:

docker-ce                                     x86_64                       18.06.1.ce-3.el7                            docker-ce-stable                        41 M

Installing for dependencies:

audit-libs-python                             x86_64                       2.8.1-3.el7_5.1                             updates                                 75 k

checkpolicy                                   x86_64                       2.5-6.el7                                   base                                   294 k

container-selinux                             noarch                       2:2.68-1.el7                                extras                                  36 k

libcgroup                                     x86_64                       0.41-15.el7                                 base                                    65 k

libsemanage-python                            x86_64                       2.5-11.el7                                  base                                   112 k

policycoreutils-python                        x86_64                       2.5-22.el7                                  base                                   454 k

python-IPy                                    noarch                       0.75-6.el7                                  base                                    32 k

setools-libs                                  x86_64                       3.3.8-2.el7                                 base                                   619 k

Updating for dependencies:

audit                                         x86_64                       2.8.1-3.el7_5.1                             updates                                247 k

audit-libs                                    x86_64                       2.8.1-3.el7_5.1                             updates                                 99 k

libselinux                                    x86_64                       2.5-12.el7                                  base                                   162 k

libselinux-python                             x86_64                       2.5-12.el7                                  base                                   235 k

libselinux-utils                              x86_64                       2.5-12.el7                                  base                                   151 k

libsemanage                                   x86_64                       2.5-11.el7                                  base                                   150 k

libsepol                                      x86_64                       2.5-8.1.el7                                 base                                   297 k

policycoreutils                               x86_64                       2.5-22.el7                                  base                                   867 k

selinux-policy                                noarch                       3.13.1-192.el7_5.6                          updates                                453 k

selinux-policy-targeted                       noarch                       3.13.1-192.el7_5.6                          updates                                6.6 M

 

 

Transaction Summary

=====================================================================================================================================================================

Install  1 Package  (+ 8 Dependent packages)

Upgrade             ( 10 Dependent packages)

 

 

Total download size: 52 M

Downloading packages:

Delta RPMs disabled because /usr/bin/applydeltarpm not installed.

(1/19): audit-libs-2.8.1-3.el7_5.1.x86_64.rpm                                                                                                 |  99 kB  00:00:00

(2/19): audit-2.8.1-3.el7_5.1.x86_64.rpm                                                                                                      | 247 kB  00:00:00

(3/19): audit-libs-python-2.8.1-3.el7_5.1.x86_64.rpm                                                                                          |  75 kB  00:00:00

(4/19): libselinux-2.5-12.el7.x86_64.rpm                                                                                                      | 162 kB  00:00:00

(5/19): libselinux-python-2.5-12.el7.x86_64.rpm                                                                                               | 235 kB  00:00:00

(6/19): libcgroup-0.41-15.el7.x86_64.rpm                                                                                                      |  65 kB  00:00:00

(7/19): checkpolicy-2.5-6.el7.x86_64.rpm                                                                                                      | 294 kB  00:00:00

(8/19): container-selinux-2.68-1.el7.noarch.rpm                                                                                               |  36 kB  00:00:00

(9/19): libselinux-utils-2.5-12.el7.x86_64.rpm                                                                                                | 151 kB  00:00:00

(10/19): libsemanage-python-2.5-11.el7.x86_64.rpm                                                                                             | 112 kB  00:00:00

(11/19): libsemanage-2.5-11.el7.x86_64.rpm                                                                                                    | 150 kB  00:00:00

(12/19): python-IPy-0.75-6.el7.noarch.rpm                                                                                                     |  32 kB  00:00:00

(13/19): policycoreutils-2.5-22.el7.x86_64.rpm                                                                                                | 867 kB  00:00:00

(14/19): selinux-policy-3.13.1-192.el7_5.6.noarch.rpm                                                                                         | 453 kB  00:00:00

(15/19): policycoreutils-python-2.5-22.el7.x86_64.rpm                                                                                         | 454 kB  00:00:00

(16/19): setools-libs-3.3.8-2.el7.x86_64.rpm                                                                                                  | 619 kB  00:00:00

(17/19): libsepol-2.5-8.1.el7.x86_64.rpm                                                                                                      | 297 kB  00:00:01

(18/19): selinux-policy-targeted-3.13.1-192.el7_5.6.noarch.rpm                                                                                | 6.6 MB  00:00:01

warning: /var/cache/yum/x86_64/7/docker-ce-stable/packages/docker-ce-18.06.1.ce-3.el7.x86_64.rpm: Header V4 RSA/SHA512 Signature, key ID 621e9f35: NOKEY00:00:00 ETA

Public key for docker-ce-18.06.1.ce-3.el7.x86_64.rpm is not installed

(19/19): docker-ce-18.06.1.ce-3.el7.x86_64.rpm                                                                                                |  41 MB  00:00:07

---------------------------------------------------------------------------------------------------------------------------------------------------------------------

Total                                                                                                                                6.9 MB/s |  52 MB  00:00:07

Retrieving key from https://download.docker.com/linux/centos/gpg

Importing GPG key 0x621E9F35:

Userid     : "Docker Release (CE rpm) <docker@docker.com>"

Fingerprint: 060a 61c5 1b55 8a7f 742b 77aa c52f eb6b 621e 9f35

From       : https://download.docker.com/linux/centos/gpg

Running transaction check

Running transaction test

Transaction test succeeded

Running transaction

  Updating   : libsepol-2.5-8.1.el7.x86_64                                                                                                                      1/29

  Updating   : libselinux-2.5-12.el7.x86_64                                                                                                                     2/29

  Updating   : audit-libs-2.8.1-3.el7_5.1.x86_64                                                                                                                3/29

  Updating   : libsemanage-2.5-11.el7.x86_64                                                                                                                    4/29

  Updating   : libselinux-utils-2.5-12.el7.x86_64                                                                                                               5/29

  Updating   : policycoreutils-2.5-22.el7.x86_64                                                                                                                6/29

  Updating   : selinux-policy-3.13.1-192.el7_5.6.noarch                                                                                                         7/29

  Installing : libcgroup-0.41-15.el7.x86_64                                                                                                                     8/29

  Updating   : selinux-policy-targeted-3.13.1-192.el7_5.6.noarch                                                                                                9/29

  Installing : libsemanage-python-2.5-11.el7.x86_64                                                                                                            10/29

  Installing : audit-libs-python-2.8.1-3.el7_5.1.x86_64                                                                                                        11/29

  Installing : setools-libs-3.3.8-2.el7.x86_64                                                                                                                 12/29

  Updating   : libselinux-python-2.5-12.el7.x86_64                                                                                                             13/29

  Installing : checkpolicy-2.5-6.el7.x86_64                                                                                                                    14/29

  Installing : python-IPy-0.75-6.el7.noarch                                                                                                                    15/29

  Installing : policycoreutils-python-2.5-22.el7.x86_64                                                                                                        16/29

  Installing : 2:container-selinux-2.68-1.el7.noarch                                                                                                           17/29

  Installing : docker-ce-18.06.1.ce-3.el7.x86_64                                                                                                               18/29

  Updating   : audit-2.8.1-3.el7_5.1.x86_64                                                                                                                    19/29

  Cleanup    : selinux-policy-targeted-3.13.1-166.el7.noarch                                                                                                   20/29

  Cleanup    : selinux-policy-3.13.1-166.el7.noarch                                                                                                            21/29

  Cleanup    : policycoreutils-2.5-17.1.el7.x86_64                                                                                                             22/29

  Cleanup    : libsemanage-2.5-8.el7.x86_64                                                                                                                    23/29

  Cleanup    : libselinux-utils-2.5-11.el7.x86_64                                                                                                              24/29

  Cleanup    : libselinux-python-2.5-11.el7.x86_64                                                                                                             25/29

  Cleanup    : libselinux-2.5-11.el7.x86_64                                                                                                                    26/29

  Cleanup    : audit-2.7.6-3.el7.x86_64                                                                                                                        27/29

  Cleanup    : audit-libs-2.7.6-3.el7.x86_64                                                                                                                   28/29

  Cleanup    : libsepol-2.5-6.el7.x86_64                                                                                                                       29/29

  Verifying  : libsemanage-2.5-11.el7.x86_64                                                                                                                    1/29

  Verifying  : audit-2.8.1-3.el7_5.1.x86_64                                                                                                                     2/29

  Verifying  : setools-libs-3.3.8-2.el7.x86_64                                                                                                                  3/29

  Verifying  : libsemanage-python-2.5-11.el7.x86_64                                                                                                             4/29

  Verifying  : 2:container-selinux-2.68-1.el7.noarch                                                                                                            5/29

  Verifying  : audit-libs-python-2.8.1-3.el7_5.1.x86_64                                                                                                         6/29

  Verifying  : libselinux-python-2.5-12.el7.x86_64                                                                                                              7/29

  Verifying  : policycoreutils-python-2.5-22.el7.x86_64                                                                                                         8/29

  Verifying  : python-IPy-0.75-6.el7.noarch                                                                                                                     9/29

  Verifying  : selinux-policy-targeted-3.13.1-192.el7_5.6.noarch                                                                                               10/29

  Verifying  : libcgroup-0.41-15.el7.x86_64                                                                                                                    11/29

  Verifying  : docker-ce-18.06.1.ce-3.el7.x86_64                                                                                                               12/29

  Verifying  : audit-libs-2.8.1-3.el7_5.1.x86_64                                                                                                               13/29

  Verifying  : libsepol-2.5-8.1.el7.x86_64                                                                                                                     14/29

  Verifying  : libselinux-2.5-12.el7.x86_64                                                                                                                    15/29

  Verifying  : libselinux-utils-2.5-12.el7.x86_64                                                                                                              16/29

  Verifying  : selinux-policy-3.13.1-192.el7_5.6.noarch                                                                                                        17/29

  Verifying  : policycoreutils-2.5-22.el7.x86_64                                                                                                               18/29

  Verifying  : checkpolicy-2.5-6.el7.x86_64                                                                                                                    19/29

  Verifying  : libselinux-utils-2.5-11.el7.x86_64                                                                                                              20/29

  Verifying  : libselinux-2.5-11.el7.x86_64                                                                                                                    21/29

  Verifying  : libsepol-2.5-6.el7.x86_64                                                                                                                       22/29

  Verifying  : selinux-policy-3.13.1-166.el7.noarch                                                                                                            23/29

  Verifying  : audit-libs-2.7.6-3.el7.x86_64                                                                                                                   24/29

  Verifying  : audit-2.7.6-3.el7.x86_64                                                                                                                        25/29

  Verifying  : policycoreutils-2.5-17.1.el7.x86_64                                                                                                             26/29

  Verifying  : libsemanage-2.5-8.el7.x86_64                                                                                                                    27/29

  Verifying  : libselinux-python-2.5-11.el7.x86_64                                                                                                             28/29

  Verifying  : selinux-policy-targeted-3.13.1-166.el7.noarch                                                                                                   29/29

 

 

Installed:

  docker-ce.x86_64 0:18.06.1.ce-3.el7

 

 

Dependency Installed:

  audit-libs-python.x86_64 0:2.8.1-3.el7_5.1  checkpolicy.x86_64 0:2.5-6.el7              container-selinux.noarch 2:2.68-1.el7  libcgroup.x86_64 0:0.41-15.el7

  libsemanage-python.x86_64 0:2.5-11.el7      policycoreutils-python.x86_64 0:2.5-22.el7  python-IPy.noarch 0:0.75-6.el7         setools-libs.x86_64 0:3.3.8-2.el7

 

 

Dependency Updated:

  audit.x86_64 0:2.8.1-3.el7_5.1                                audit-libs.x86_64 0:2.8.1-3.el7_5.1            libselinux.x86_64 0:2.5-12.el7

  libselinux-python.x86_64 0:2.5-12.el7                         libselinux-utils.x86_64 0:2.5-12.el7           libsemanage.x86_64 0:2.5-11.el7

  libsepol.x86_64 0:2.5-8.1.el7                                 policycoreutils.x86_64 0:2.5-22.el7            selinux-policy.noarch 0:3.13.1-192.el7_5.6

  selinux-policy-targeted.noarch 0:3.13.1-192.el7_5.6

 

 

Complete!

 

[root@hci-node1 ~]# yum -y install docker-ce-17.03.1.ce-1.el7.centos

Loaded plugins: fastestmirror

Loading mirror speeds from cached hostfile

* base: mirror.jaleco.com

* extras: repos.lax.quadranet.com

* updates: mirror.den1.denvercolo.net

Package matching docker-ce-17.03.1.ce-1.el7.centos.x86_64 already installed. Checking for update.

Nothing to do

[root@hci-node1 ~]# docker --version

Docker version 18.06.1-ce, build e68fc7a

[root@hci-node1 ~]#

 

[root@hci-node1 ~]# systemctl status firewalld

● firewalld.service - firewalld - dynamic firewall daemon

   Loaded: loaded (/usr/lib/systemd/system/firewalld.service; enabled; vendor preset: enabled)

   Active: active (running) since Thu 2018-10-11 13:46:36 CDT; 44min ago

     Docs: man:firewalld(1)

Main PID: 805 (firewalld)

   CGroup: /system.slice/firewalld.service

           └─805 /usr/bin/python -Es /usr/sbin/firewalld --nofork --nopid

 

 

Oct 11 13:46:35 hci-node1.di.lab systemd[1]: Starting firewalld - dynamic firewall daemon...

Oct 11 13:46:36 hci-node1.di.lab systemd[1]: Started firewalld - dynamic firewall daemon.

Oct 11 13:46:36 hci-node1.di.lab firewalld[805]: WARNING: ICMP type 'beyond-scope' is not supported by the kernel for ipv6.

Oct 11 13:46:36 hci-node1.di.lab firewalld[805]: WARNING: beyond-scope: INVALID_ICMPTYPE: No supported ICMP type., ignoring for run-time.

Oct 11 13:46:36 hci-node1.di.lab firewalld[805]: WARNING: ICMP type 'failed-policy' is not supported by the kernel for ipv6.

Oct 11 13:46:36 hci-node1.di.lab firewalld[805]: WARNING: failed-policy: INVALID_ICMPTYPE: No supported ICMP type., ignoring for run-time.

Oct 11 13:46:36 hci-node1.di.lab firewalld[805]: WARNING: ICMP type 'reject-route' is not supported by the kernel for ipv6.

Oct 11 13:46:36 hci-node1.di.lab firewalld[805]: WARNING: reject-route: INVALID_ICMPTYPE: No supported ICMP type., ignoring for run-time.

 

[root@hci-node1 ~]# systemctl stop firewalld

 

[root@hci-node1 ~]# systemctl mask firewalld

Created symlink from /etc/systemd/system/firewalld.service to /dev/null.

 

[root@hci-node1 ~]# systemctl disable firewalld

 

[root@hci-node1 ~]# systemctl status firewalld

● firewalld.service

   Loaded: masked (/dev/null; bad)

   Active: inactive (dead) since Thu 2018-10-11 14:31:40 CDT; 18s ago

Main PID: 805 (code=exited, status=0/SUCCESS)

 

Oct 11 13:46:35 hci-node1.di.lab systemd[1]: Starting firewalld - dynamic firewall daemon...

Oct 11 13:46:36 hci-node1.di.lab systemd[1]: Started firewalld - dynamic firewall daemon.

Oct 11 13:46:36 hci-node1.di.lab firewalld[805]: WARNING: ICMP type 'beyond-scope' is not supported by the kernel for ipv6.

Oct 11 13:46:36 hci-node1.di.lab firewalld[805]: WARNING: beyond-scope: INVALID_ICMPTYPE: No supported ICMP type., ignoring for run-time.

Oct 11 13:46:36 hci-node1.di.lab firewalld[805]: WARNING: ICMP type 'failed-policy' is not supported by the kernel for ipv6.

Oct 11 13:46:36 hci-node1.di.lab firewalld[805]: WARNING: failed-policy: INVALID_ICMPTYPE: No supported ICMP type., ignoring for run-time.

Oct 11 13:46:36 hci-node1.di.lab firewalld[805]: WARNING: ICMP type 'reject-route' is not supported by the kernel for ipv6.

Oct 11 13:46:36 hci-node1.di.lab firewalld[805]: WARNING: reject-route: INVALID_ICMPTYPE: No supported ICMP type., ignoring for run-time.

Oct 11 14:31:39 hci-node1.di.lab systemd[1]: Stopping firewalld - dynamic firewall daemon...

Oct 11 14:31:40 hci-node1.di.lab systemd[1]: Stopped firewalld - dynamic firewall daemon.

 

 

[root@hci-node1 ~]# sysctl -w vm.max_map_count=262144

vm.max_map_count = 262144

 

 

[root@hci-node1 ~]# vi /etc/sysctl.conf

 

[root@hci-node1 ~]# mkdir /opt/hci

 

[root@hci-node1 ~]# cd /opt/hci

 

[root@hci-node1 hci]# tar -zxvf HCI-1.3.1.54.tgz

 

[root@hci-node1 hci]# ./1.3.1.54/bin/install

 

[root@hci-node1 hci]# systemctl start docker

 

[root@hci-node1 hci]# systemctl enable docker

 

[root@hci-node1 hci]# bin/setup -i 192.168.35.235 -m 192.168.35.236,192.168.35.237,192.168.35.238

Thu Oct 11 19:38:17 UTC 2018 Docker appears to be running and accessible

Thu Oct 11 19:38:17 UTC 2018 Found docker API version 1.38 on host localhost

Thu Oct 11 19:38:17 UTC 2018 config file /opt/hci/config/cluster.config not found

Thu Oct 11 19:38:17 UTC 2018 SELinux detected. State: Enforcing.

Thu Oct 11 19:38:17 UTC 2018 Labeling HCI install directory.

Thu Oct 11 19:38:18 UTC 2018 *** loading docker repository image ***

3c2378a5c36e: Loading layer [==================================================>]  667.5MB/667.5MB

32063e529187: Loading layer [==================================================>]  19.46kB/19.46kB

07574dd0f26e: Loading layer [==================================================>]  1.683MB/1.683MB

e5ad9ca36f0e: Loading layer [==================================================>]  2.188MB/2.188MB

5e1dfe561371: Loading layer [==================================================>]  2.048kB/2.048kB

c33e245bae2b: Loading layer [==================================================>]  76.34MB/76.34MB

54492b1e7c21: Loading layer [==================================================>]  2.048kB/2.048kB

23673f93156d: Loading layer [==================================================>]   5.12kB/5.12kB

b6d65c63f890: Loading layer [==================================================>]  9.216kB/9.216kB

Loaded image: com.hds.ensemble:25.0.0.1529

3ae838ff7692: Loading layer [==================================================>]  45.79MB/45.79MB

84326eb76eff: Loading layer [==================================================>]  2.048kB/2.048kB

Loaded image: com.hds.ensemble/chronos:25.0.0.1529

Loaded image: com.hds.ensemble/searchapp:25.0.0.1529

1066605d4048: Loading layer [==================================================>]  224.5MB/224.5MB

e94a9d4b3901: Loading layer [==================================================>]  2.048kB/2.048kB

d6dcf2c658eb: Loading layer [==================================================>]  4.096kB/4.096kB

Loaded image: com.hds.ensemble/workflow:25.0.0.1529

b757d84749aa: Loading layer [==================================================>]  37.88MB/37.88MB

a572ed99f058: Loading layer [==================================================>]  2.048kB/2.048kB

Loaded image: com.hds.ensemble/elasticsearch:25.0.0.1529

78ead4426a34: Loading layer [==================================================>]  124.4MB/124.4MB

abd03ce234e8: Loading layer [==================================================>]  2.048kB/2.048kB

Loaded image: com.hds.ensemble/cassandra:25.0.0.1529

a40107622d92: Loading layer [==================================================>]  162.3MB/162.3MB

081a4156e3ca: Loading layer [==================================================>]  2.048kB/2.048kB

Loaded image: com.hds.ensemble/kibana:25.0.0.1529

25e40faf05ab: Loading layer [==================================================>]  337.5MB/337.5MB

f2e0dab6d97b: Loading layer [==================================================>]  2.048kB/2.048kB

Loaded image: com.hds.ensemble/hdfs:25.0.0.1529

Loaded image: com.hds.ensemble/monitorapp:25.0.0.1529

0afa06fcdf17: Loading layer [==================================================>]  184.4MB/184.4MB

71f1acd72886: Loading layer [==================================================>]  2.048kB/2.048kB

Loaded image: com.hds.ensemble/logstash:25.0.0.1529

674814618d16: Loading layer [==================================================>]  170.9MB/170.9MB

1273778364f7: Loading layer [==================================================>]  2.048kB/2.048kB

Loaded image: com.hds.ensemble/solr:25.0.0.1529

50ab91ea77d7: Loading layer [==================================================>]  37.82MB/37.82MB

ab5361001c19: Loading layer [==================================================>]  2.048kB/2.048kB

Loaded image: com.hds.ensemble/kafka:25.0.0.1529

Thu Oct 11 19:39:06 UTC 2018 Testing Docker client to daemon communication

Thu Oct 11 19:39:08 UTC 2018 Generating new uuid

Thu Oct 11 19:39:09 UTC 2018 Ensuring proper SELinux file system labeling

 

 

[root@hci-node1 hci]# cp bin/HCI.service /etc/systemd/system

 

 

[root@hci-node1 hci]# systemctl start HCI.service

 

 

[root@hci-node1 hci]# systemctl enable HCI.service

Created symlink from /etc/systemd/system/multi-user.target.wants/HCI.service to /etc/systemd/system/HCI.service.

 

 

[root@hci-node1 hci]#

Outcomes